PETSc version 3.15.5
Fix/Edit manual page

# PetscObjectSetUp

Sets up the internal data structures for the later use.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSetUp(PetscObject obj)

Collective on PetscObject

### Input Parameters

| obj | - the PetscObject

### Notes

This does nothing at present.

### See Also

PetscObjectDestroy()

### Level

advanced

### Location

src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages